Subject: Re: draft-haberman-ipngwg-auto-prefix-01.txt

From: "Brian Haberman" <[email-masked]>
Date: Mon, 08 Oct 2001 14:59:23 -0400

Itojun,
     Sorry for the delay in this response.  Answers below...

Jun-ichiro itojun Hagino wrote:

> 1. response type against renew request
> consider the following transaction.  what will be the message type for the
> reply against renew request?
> 
>         reqestor -> delegator (multicast):
>                 icmp6 type = prefix request, icmp6 code = delegator query (0)
>         delegator -> requestor:
>                 icmp6 type = prefix reply, icmp6 code = prefix delegator (0)
>         requestor -> delegator:
>                 icmp6 type = prefix request, icmp6 code = initial request (1)
>         delegator -> requestor:
>                 icmp6 type = prefix reply, icmp6 code = prefix delegated (4)
>         (lifetime passes)
>         requestor -> delegator:
>                 icmp6 type = prefix request, icmp6 code = renewal request (2)
>         delegator -> requestor:
>                 icmp6 type = prefix reply, icmp6 code = ????

Unless we can find a good reason for a new code, the response will be
"prefix delegated (4)" same as the initial reply.

> 
> 2. authorization faiulure
> how does authorization fail when the protocol does not provide any
> authentication mechansisms?  does it assume any ipsec assumptions, like
> "ipsec AH failure is visible to delegator daemon, and delegator can
> request AH"?

I have not had a chance to look into the authorization mechanisms
yet.  I do not envision creating a new authorization mechanism here.
Most likely IPSec will be the recommended approach.

> 
> 3. state machine
> apparently state machine has to be maintained by the implementation of the
> protocol.  if there is a diagram of state machine (to understand what are the
> expected messages and what are not) it would help us understand the protocol
> much.  maybe it is too much to ask.

I have not created one, but we will take it under advisement. :)

Thanks,
Brian
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------